Skip to main content
GET
/
v1
/
quotes
/
templates
List quote templates
curl --request GET \
  --url https://api.hyperline.co/v1/quotes/templates \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "total": 1,
    "taken": 1,
    "skipped": 0
  },
  "data": [
    {
      "id": "quot_9hNWq4c84Z146W",
      "name": "Enterprise template",
      "description": "Reusable template for enterprise quotes.",
      "comments": "Please find the contract and subscription details we discussed.",
      "terms": "By signing this quote, you accept our conditions of use for the use of our products and services.",
      "expiration_days": 30,
      "collect_payment_details": true,
      "collect_shipping_details": false,
      "collect_custom_property_ids": [],
      "require_tax_id": false,
      "require_billing_details": false,
      "display_taxes": true,
      "display_price_tiers": "matching",
      "display_phase_value": false,
      "display_quote_value": true,
      "display_first_invoice_amount": false,
      "display_documents_in_preview": false,
      "display_subscription_on_update": false,
      "display_organisation_details": true,
      "generate_draft_invoices": false,
      "subscription_template_id": "subt_7gdusOkqr5L0B8",
      "contract_template_ids": [
        "ctpl_QalW2vTAdkR6IY"
      ],
      "contract_clause_ids": [
        "ccl_QalW2vTAdkR6IY"
      ],
      "attachments": [
        {
          "id": "quota_5GYXy8P3QCdaXh",
          "name": "General Conditions of Sale",
          "mimetype": "application/pdf"
        }
      ],
      "created_at": "2024-04-23T09:10:00.220Z",
      "updated_at": "2024-04-23T10:22:08.100Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

take
number | null
default:50
Required range: 0 <= x <= 100
skip
number | null
default:0
Required range: x >= 0
id
string
id__not
string
id__isNull
string
id__isNotNull
string
id__equals
string
id__contains
string
id__startsWith
string
id__endWith
string
name
string
name__not
string
name__isNull
string
name__isNotNull
string
name__equals
string
name__contains
string
name__startsWith
string
name__endWith
string
subscription_template_id
string
subscription_template_id__not
string
subscription_template_id__isNull
string
subscription_template_id__isNotNull
string
subscription_template_id__equals
string
subscription_template_id__contains
string
subscription_template_id__startsWith
string
subscription_template_id__endWith
string

Response

200 - application/json
meta
object
required
data
object[]
required

List of QuoteTemplate.